: Class HttpException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http
Class HttpException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.w3c.www.protocol.http.HttpException

public class HttpException
extends java.lang.Exception

Exception thrown when processing a request failed.

See Also:
  Serialized Form

Constructor Summary
`HttpException(java.lang.Exception ex, java.lang.String msg)`
`HttpException(Request request, java.lang.Exception ex)`
`HttpException(Request request, java.lang.String msg)`

Method Summary
`java.lang.Exception` | `getException()` Get the original cause for this exception.
`Request` | `getRequest()` Get the request that triggered this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpException

    public HttpException(Request request,
                         java.lang.String msg)

### HttpException

    public HttpException(Request request,
                         java.lang.Exception ex)

### HttpException

    public HttpException(java.lang.Exception ex,
                         java.lang.String msg)

Method Detail

### getException

    public final java.lang.Exception getException()

  Get the original cause for this exception. HttpException can be used to wrap up transport layer problems (such as IOException or other SocketException, etc). In that case, this method will return the original exception that occured.
  Returns:
    An Exception instance, or null.

### getRequest

    public final Request getRequest()

  Get the request that triggered this exception.
  Returns:
    A Request instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD